<?php
defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.controller');
class AutosControllerAuto extends JController
{
	// constructor (registers additional tasks to methods)
	function __construct() //__construct
	{
		JRequest::setVar('view', 'autos');
		parent::__construct(); //__construct

		// Register Extra tasks
		$this->registerTask( 'add'  , 	'edit' ); 
		// c-a-d que le bouton(1) "add" lance la tche du bouton(2) "edit" (ci-dessous)
		$this->registerTask( 'unpublish', 	'publish'); //idem 
	}

	//display the edit form
	function edit()
	{
		JRequest::setVar( 'view', 'auto' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}

	// save a record (and redirect to main page)
	function save()
	{
		$model = $this->getModel('auto');

		//if ($model->store($post)) {
		if ($model->store()) {
			$msg = JText::_( 'Auto Saved!' );
		} else {
			$msg = JText::_( 'Error Saving Auto' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		$link = 'index.php?option=com_auto';
		$this->setRedirect($link, $msg);
	}

	// remove record(s)
	function remove()
	{
		$model = $this->getModel('auto');
		if(!$model->delete()) {
			$msg = JText::_( 'ERREUR : impossible de supprime une ou plusieurs voitures !' );
		} else {
			$msg = JText::_( 'Voiture(s) supprime(s)' );
		}

		$this->setRedirect( 'index.php?option=com_auto', $msg );
	}
	
	/**
	* Publishes or Unpublishes one or more records
	* @param array An array of unique category id numbers
	* @param integer 0 if unpublishing, 1 if publishing
	* @param string The current url option
	*/
	function publish()
	{
		$this->setRedirect( 'index.php?option=com_auto' );

		// Initialize variables
		$db			=& JFactory::getDBO();
		$user		=& JFactory::getUser();
		$cid		= JRequest::getVar( 'cid', array(), 'post', 'array' );
		$task		= JRequest::getCmd( 'task' );
		$publish	= ($task == 'publish');
		$n			= count( $cid );

		if (empty( $cid )) {
			return JError::raiseWarning( 500, JText::_( 'No items selected' ) );
		}

		JArrayHelper::toInteger( $cid );
		$cids = implode( ',', $cid );

		$query = 'UPDATE #__auto SET published = $publish WHERE id IN ( '. $cids .' )' ;
		$db->setQuery( $query );
		if (!$db->query()) {
			return JError::raiseWarning( 500, $row->getError() );
		}
		$this->setMessage( JText::sprintf( $publish ? 'Items published' : 'Items unpublished', $n ) );

	}
	
	// cancel editing a record
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_auto', $msg );
	}
}

// Create the controller
$controller = new AutosControllerAuto( );
$controller->execute( JRequest::getVar('task'));
$controller->redirect();

?>
